-
ubuntu 包管理(apt-get)损坏的解决办法
Apr 30, 2017 · 1 min read症状是不管安装什么,都会说有一大堆依赖无法安装。。。 大概是: a depends b[i],but b[i] is not be installed. (b==0..n) 最后会提示Unable to correct problems, you have held broken packages 解决办法:用synaptic工具,把可能存在问题的包都清除掉。 参考资料 顺便想吐槽。。。ubuntu的包管理工具好辣鸡啊。。 随便装点东西竟然就损坏了? 我刚才装chrome,然后出了错误,提示我apt-get -f install 解决问题。。。 然后包管理就挂了? 想起当年虽然装的第一个发行版是ubuntu,但是并不好用啊? 好好使 …
Read More -
我的chromebook 是 samsung 3 查阅Hardware Compatibility 可以知道我的cb支持 gallium,对应的cpu 是Intel Braswell 然后去galliumos 官网 下载相应版本。 (发现这种做法并不需要自己下载。。。) 安装 galliumOS大体有两种方法,一种是完全去掉chromeOS,这种方法需要需要拆机去除写保护。。。我嫌麻烦。。。于是打算另一种,使用chrx 步骤如下: 1. Enable [Developer …
Read More -
为什么。。。为什么会变成这样呢。。。
Apr 27, 2017 · 1 min read连着考试。。。 取消考试周这做法就是蠢。。。 白天上课晚上考试。。。 说得好像没有考试周大家就不会复习了一样。。。 结果就只能是在白天的课上复习。。。 又影响听新的课,又影响复习。。。。 然后昨天还推了鹅厂的面试。。。不知道会不会留下什么不好的印象T T 连着考试真心要死啊。。。 身体完全受不了。。。 这还只是期中。。。 想想我们前半学期学完了 文档+专业英语+信号+测试+uml+游戏+计网,7门课。。。。 那就意味着期末还有12门。。。。。。。。 感觉真的。。。。。。。为什么。。。要这么多课呢。。。。。。。
Read More -
A peak element is an element that is greater than its neighbors. Given an input array where num[i] ≠ num[i+1], find a peak element and return its index. The array may contain multiple peaks, in that case return the index to any one of the peaks is fine. You may imagine that num[-1] = num[n] = -∞. For example, in array …
Read More -
Find the contiguous subarray within an array (containing at least one number) which has the largest product. For example, given the array [2,3,-2,4], the contiguous subarray [2,3] has the largest product = 6. 思路:由于有正,有负,还有0.。。所以比最大子串之和要复杂一些。。。 dp[i].max表示到当前位置的最大乘积。 dp[i].min表示到当前位置的最小乘积。 dp[i].max = …
Read More -
Given a sorted integer array without duplicates, return the summary of its ranges. For example, given [0,1,2,4,5,7], return ["0->2","4->5","7"]. 题意:把连续的数连续表示 思路:模拟。注意有负数,注意有-2147483648这种数据。 本来还想着,可能是leetcode加数据的审核机制太松,导致被人加了奇怪的数据。。。 结果发现出题人和加数据的人是一个人啊? 不给数据范围,加这种奇怪的数据很有意思? 分分钟卡掉你的标程 …
Read More -
Given an array of n positive integers and a positive integer s, find the minimal length of a contiguous subarray of which the sum ≥ s. If there isn't one, return 0 instead. For example, given the array [2,3,1,2,4,3] and s = 7, the subarray [4,3] has the minimal length under the problem constraint 思路:尺取即可。。好久没写,竟然调了半 …
Read More -
Given an integer array of size n, find all elements that appear more than ⌊ n/3 ⌋ times. The algorithm should run in linear time and in O(1) space. 题意:给你n个数,要求找出出现此处大于n/3的。。。 思路:之前做过一个找出n个数出现此处大于n/2的题目,思想是“非吾族类,其心必异”。。 这道题类似。。。容易知道题目要求的数最多有2个,最少有0个。。。 由于最多两个“族类”,在更新的时候,要判断是不是友军的人...毕竟朋友妻不可欺嘛(什么鬼 最后记得扫一遍,check一下,检查出现此处是 …
Read More -
Given an array with n objects colored red, white or blue, sort them so that objects of the same color are adjacent, with the colors in the order red, white and blue. Here, we will use the integers 0, 1, and 2 to represent the color red, white, and blue respectively. 题意:一个数组,由0,1,2组成,现在要求升序排列 思路:无脑做法就是计数排序,扫两遍,时间复杂 …
Read More